perl: can't load library 'libgdbm.so.1'

perl: can't load library 'libgdbm.so.1'

Post by Pete Holsbe » Wed, 26 Jan 2000 04:00:00



I get subject message when I execute

perl -e 'require DB_File and print "I have Berkeley DB.\n"'

I have the following in /usr/lib:

-rw-r--r--   1 root     root      3633130 Apr 16  1999 /usr/lib/libdb.a
lrwxrwxrwx   1 root     root           20 Nov 26 10:16 /usr/lib/libdb.so -> ../../lib/libdb.so.3
-rw-r--r--   1 root     root       950710 Apr 16  1999 /usr/lib/libdb1.a
lrwxrwxrwx   1 root     root           21 Nov 26 10:16 /usr/lib/libdb1.so -> ../../lib/libdb1.so.2
-rw-r--r--   1 root     root        48516 Mar 21  1999 /usr/lib/libgdbm.a
lrwxrwxrwx   1 root     root           16 Nov 26 10:16 /usr/lib/libgdbm.so -> libgdbm.so.2.0.0
lrwxrwxrwx   1 root     root           16 Nov 26 10:16 /usr/lib/libgdbm.so.2 -> libgdbm.so.2.0.0
-rw-r--r--   1 root     root        29117 Mar 21  1999 /usr/lib/libgdbm.so.2.0.0
lrwxrwxrwx   1 root     root            7 Nov 26 10:16 /usr/lib/libndbm.a -> libdb.a
lrwxrwxrwx   1 root     root            8 Nov 26 10:16 /usr/lib/libndbm.so -> libdb.so
lrwxrwxrwx   1 root     root           25 Nov 26 10:16 /usr/lib/libnss1_db.so -> ../../lib/libnss1_db.so.1
lrwxrwxrwx   1 root     root           24 Nov 26 10:16 /usr/lib/libnss_db.so -> ../../lib/libnss_db.so.2

Do I need to find libgdb.so.1 to make perl happy?

Thanks.
--
Pete Holsberg
MCCC
Trenton, NJ

 
 
 

1. send-mail: can't load library 'libgdbm.so.2'

My mailer (elm and mailx) stopped working after upgrading to gcc-2.7.2.

The error message I get is
send-mail: can't load library 'libgdbm.so.2'

I have Slackware 3.0 and then upgraded to gcc-2.7.2 and Kernerl 1.3.76.

I went through all the directories in tsx-11 and sunite and could not
find the libgdbm.so.2 file. Howeverm there is one such file under the
debian distribution directory. I wonder if I could use it since I am
on Slackware. In any case, how did others get around this problem when
they upgraded GCC ?

--
Andrew Sarangan

2. JSP pages produce raw content

3. can't load library 'libgdbm.so.2' with Slackware 3.0 installation

4. Ceiva internet picture frame

5. can't load library 'libgdbm.so.2'

6. Q: upgrade tcp 1.2.0 to tcp 1.2.1 on 3.2V4.0 ???

7. can't load library 'libgdbm.so.2' with Slackware 3.0 installation

8. Netstat returns IP= xxx.xxx.xxx.xxx.blackjack what's up?

9. send-mail: can't load library 'libgdbm.so.2

10. Sendmail error (sendmail: can't load library 'libgdbm.so.2)

11. can't load library libgdbm.so.1 :apache 1.3.9

12. Kernel: 'Cant load libgdbm.so.2'

13. Apache can't load libgdbm.so.1